#include <stdlib.h>
#include <stdio.h>

FILE *fi,*fo;

main(int argc, char **argv){

 int i,old_start,new_start,count,digits=3;
 char old_root[256],new_root[256],old_name[256],new_name[256],fmt[64],ext[64];
 if(argc < 2){
   printf("\n");
   printf("nbr  : re-number and rename a sequence of files.\n");
   printf("Usage: nbr <old root> <old_start> <number> <newroot> <new_start> <extn>\n");
   printf("\n");
   exit(0);
 }
 strcpy(old_root,argv[1]);
 old_start=atoi(argv[2]);
 count=atoi(argv[3]);
 strcpy(new_root,argv[4]);
 new_start=atoi(argv[5]);
 strcpy(ext,argv[6]);

 printf("Rename %ld files :Old root [%s] from %ld to New root [%s] from at %ld\n",
         count,old_root,old_start,new_root,new_start);
 for(i=0;i<count;i++){
  sprintf(fmt,"%%s%%0%ldld.%s",digits,ext);
  sprintf(old_name,fmt,old_root,old_start+i);
  sprintf(new_name,fmt,new_root,new_start+i);
  printf("Renaming %s to %s\n",old_name,new_name);
  rename(old_name,new_name);
 }

 exit(0);
}

